Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC

Bug 710842

Summary: mail-filter/amavisd-new-2.12.0-r1: missing dependencies
Product: Gentoo Linux Reporter: Craig Andrews <candrews>
Component: Current packagesAssignee: Ralph Seichter <gentoo>
Status: RESOLVED FIXED    
Severity: normal CC: candrews, hydrapolic
Priority: Normal Keywords: PullRequest
Version: unspecified   
Hardware: All   
OS: Linux   
See Also: https://github.com/gentoo/gentoo/pull/14778
Whiteboard:
Package list:
Runtime testing required: ---

Description Craig Andrews gentoo-dev 2020-02-26 01:34:52 UTC
These dependencies are missing:
dev-perl/MIME-tools
Net-Server

Without dev-perl/MIME-tools, this error occurs:
Feb 25 20:28:03 irrational amavisd[373490]: ERROR: MISSING REQUIRED BASIC MODULES:
Feb 25 20:28:03 irrational amavisd[373490]:   MIME::Words
Feb 25 20:28:03 irrational amavisd[373490]:   MIME::Head
Feb 25 20:28:03 irrational amavisd[373490]:   MIME::Body
Feb 25 20:28:03 irrational amavisd[373490]:   MIME::Entity
Feb 25 20:28:03 irrational amavisd[373490]:   MIME::Parser
Feb 25 20:28:03 irrational amavisd[373490]:   MIME::Decoder
Feb 25 20:28:03 irrational amavisd[373490]:   MIME::Decoder::Base64
Feb 25 20:28:03 irrational amavisd[373490]:   MIME::Decoder::Binary
Feb 25 20:28:03 irrational amavisd[373490]:   MIME::Decoder::QuotedPrint
Feb 25 20:28:03 irrational amavisd[373490]:   MIME::Decoder::NBit
Feb 25 20:28:03 irrational amavisd[373490]:   MIME::Decoder::UU
Feb 25 20:28:03 irrational amavisd[373490]:   MIME::Decoder::Gzip64
Feb 25 20:28:03 irrational amavisd[373490]:   Net::Server
Feb 25 20:28:03 irrational amavisd[373490]:   Net::Server::PreFork
Feb 25 20:28:03 irrational amavisd[373490]: BEGIN failed--compilation aborted at /usr/sbin/amavisd line 252.

Without Net-Server, this error occurs:
Feb 25 20:31:48 irrational amavisd[375809]: ERROR: MISSING REQUIRED BASIC MODULES:
Feb 25 20:31:48 irrational amavisd[375809]:   Net::Server
Feb 25 20:31:48 irrational amavisd[375809]:   Net::Server::PreFork
Feb 25 20:31:48 irrational amavisd[375809]: BEGIN failed--compilation aborted at /usr/sbin/amavisd line 252.

Reproducible: Always
Comment 1 Craig Andrews gentoo-dev 2020-02-26 01:43:57 UTC
Comparing 2.12.0 and 2.12.0-r1, it looks like these dependencies were removed that (as far as I can tell) should not have been removed:
>=dev-perl/Mail-DKIM-0.31
>=dev-perl/MailTools-1.58
>=dev-perl/MIME-tools-5.415
dev-perl/Net-LibIDN
>=dev-perl/Net-Server-0.91
Comment 2 Ralph Seichter 2020-02-27 12:42:01 UTC
Craig, I don't have the necessary permissions to process your pull request, nor do I currently have access to any test environment that does not already have the necessary packages installed. If you think the changes are necessary, you should probably go ahead and merge them yourself.
Comment 3 Larry the Git Cow gentoo-dev 2020-02-27 13:03:10 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=45ffd7c8407d4f8c51b513947fd178dd70cec9cf

commit 45ffd7c8407d4f8c51b513947fd178dd70cec9cf
Author:     Craig Andrews <candrews@gentoo.org>
AuthorDate: 2020-02-26 01:44:59 +0000
Commit:     Craig Andrews <candrews@gentoo.org>
CommitDate: 2020-02-27 13:03:03 +0000

    mail-filter/amavisd-new: Add missing dependencies
    
    Closes: https://bugs.gentoo.org/710842
    Package-Manager: Portage-2.3.89, Repoman-2.3.20
    Signed-off-by: Craig Andrews <candrews@gentoo.org>
    Closes: https://github.com/gentoo/gentoo/pull/14778
    Signed-off-by: Craig Andrews <candrews@gentoo.org>

 .../amavisd-new/amavisd-new-2.12.0-r2.ebuild       | 202 +++++++++++++++++++++
 1 file changed, 202 insertions(+)